outfile = s_arg(0);

if (outfile != 0) {
	set_option("clobber_on", "PLAY_OFF");
}

rtsetparams(44100, 2, 512);
load("PVOC");
load("MMOVE");
rtinput("sounds/ice01.wav", "mem");

if (outfile != 0) {
	rtoutput(outfile, "24");
}

bus_config("PVOC", "in 0", "aux 0 out");
bus_config("MMOVE", "aux 0 in", "aux 1-4 out");
bus_config("RVB", "aux 1-4 in", "out0-1");

abs = 9.3;
rvbtime = 5.4;
mike_dist = 5;

space(170,170,-180,-190,90,abs,rvbtime); 
mikes(45, 0.5); 
threshold(0.001);
reset(44100);

scaling=200 * 8*2 / (27*3);

start=0;
gain=600;
inputskip=0.01
inputread=DUR() - inputskip;
inputchan=0;
fft=1024;
window=2*fft;
decim=3;
interp=decim*scaling;
pmult= 0.25 * 8*2 / (27*3);
npoles=0;
thresh=0.2;

dur = inputread*scaling;

PVOC(0,inputskip,dur,1,inputchan,fft,window,decim,interp,pmult,npoles,thresh);

//rhotable = maketable("line", "nonorm", 1000, 0, 30, 1, 30);
//thetatable = maketable("line", "nonorm", 1000, 0, -60, 1, 60);
path(0, 30, 360, 1, 30, -360);

MMOVE(start, 0, dur, gain, mike_dist, 0);

reverbLevel = .55;

RVB(0, 0, dur+rvbtime, reverbLevel); 
