rtsetparams(44100, 2, 512)

rtinput("sounds/ice01.wav", "mem");
indur = DUR();

outfile = s_arg(0);

if (outfile != 0) {
	set_option("clobber_on", "PLAY_OFF");
}
if (outfile != 0) {
	rtoutput(outfile, "24");
}

load("TRANS");
load("MPLACE");
load("CHAIN");

bus_config("TRANS3", "in0", "chain 0 out");
bus_config("MPLACE", "chain 0 in", "chain 1-4 out");
bus_config("CHAIN", "aux 0-3 out");
bus_config("RVB", "aux 0-3 in", "out 0-1");

mikedist = 5;
rvbtime = 5.0;
absorb = 8.9;

space(112, 157, -119, -155, 95, absorb, rvbtime);
mikes(45, 0.5);

setline(0,1, 1,1);
reset(11025);
srand(6377777777);

inskip = 0;
amp = 20;
start = 0;
end = 60;
events = 0;

//print_on(3);

while (events < 750) {

	// Set up trans
	ratio = pickrand(5, 6, 7, 8, 9, 10, 11) / 4;
	tdur = indur / ratio;
	interval = pchoct(octcps(1000*ratio) - octcps(1000));
	trans = makeinstrument("TRANS3", 0, inskip, tdur, amp, interval, 0);
	dur = tdur;

	// Set up MPLACE
	theta = irand(0, 360);
	rho = irand(80, 110);
	mplace = makeinstrument("MPLACE", 0, 0, dur, 10.0, rho, theta, mikedist, 0);

	start = irand(0, end);
	
	// Chain 'em
	CHAIN(start, dur, 2, trans, mplace);
	
	events += 1;
}

rvbamp = 0.1;
RVB(0, 0, end + rvbtime, rvbamp);
