rtsetparams(44100, 2, 512)

rtinput("sounds/ice01.wav", "mem");
indur = DUR();

outfile = s_arg(0);

if (outfile != 0) {
	set_option("clobber_on", "PLAY_OFF");
}
if (outfile != 0) {
	rtoutput(outfile, "24");
}

load("TRANS");
load("MPLACE");
load("CHAIN");

bus_config("TRANS3", "in0", "chain 0 out");
bus_config("MPLACE", "chain 0 in", "chain 1-4 out");
bus_config("CHAIN", "aux 0-3 out");
bus_config("RVB", "aux 0-3 in", "out 0-1");

mikedist = 5;
rvbtime = 4.0;
absorb = 8.9;

space(112, 157, -119, -155, 55, absorb, rvbtime);
mikes(45, 0.5);

setline(0,1, 1,1);
reset(11025);
srand(2342323);

inskip = 0;
amp = 20;
start = 0;
end = 60;
events = 0;

maxend = 0;

//print_on(3);

while (events < 200) {

	// Set up trans
	ratio = pickrand(5, 6, 7, 8, 9, 10, 11) / 6;
	ratio += irand(-0.01, 0.01);
	tdur = indur / ratio;
	interval = pchoct(octcps(1000*ratio) - octcps(1000));
	dur = tdur;
	
	// Set up MPLACE
	theta = irand(-90, 90);
	rho = irand(100, 110);

	loops = pickrand(11, 17, 23, 31);
	loop = 0;
	
	start = irand(0, end);

	loopoffset = irand(0.04, 0.2);
	offset = 0;
	loopgain = 1;
	float loopgainfactor;
	
	if (loops < 15) {
		loopgainfactor = 0.6;
	}
	else {
		if (loops < 20) {
			loopgainfactor = 0.75;
		}
		else {
			if (loops < 25) {
				loopgainfactor = 0.85;
			}
			else {
				loopgainfactor = 0.95;
			}
		}
	}
	
	
	for (loop = 0; loop < loops; loop += 1) {
		trans = makeinstrument("TRANS3", 0, inskip, tdur, amp * loopgain, interval, 0);

		mplace = makeinstrument("MPLACE", 0, 0, dur, 10.0, rho, theta, mikedist, 0);

		// Chain 'em
		chainstart = start + offset;
		if (chainstart+dur > maxend) {
			maxend = chainstart + dur;
		}
		CHAIN(chainstart, dur, 2, trans, mplace);
		offset += loopoffset;
		loopoffset *= 1.15;
		loopgain *= loopgainfactor;
	}
	
	events += 1;
}

rvbamp = 0.05;
RVB(0, 0, maxend + rvbtime, rvbamp);
